d3.csv('https://gist.githubusercontent.com/curran/a08a1080b88344b0c8a7/raw/0e7a9b0a5d22642a06d3d5b9bcbad9890c8ee534/iris.csv', function(err, rows){
function unpack(rows, key) {
	return rows.map(function(row)
	{ return row[key]; });}

var trace1 = {
	x:unpack(rows, 'sepal_length'), y: unpack(rows, 'sepal_width'), z: unpack(rows, 'petal_length'),
	mode: 'markers',
	marker: {
		size: 12,
		opacity: 0.8},
	type: 'scatter3d'
};


var data = [trace1];
var layout = {margin: {
	l: 0,
	r: 0,
	b: 0,
	t: 0
  },
	scene: {
		xaxis:{title: 'sepal_length',backgroundcolor: "rgb(180,190,200)",
	 gridcolor: "rgb(180, 190, 180)",
	 showbackground: true,
	 zerolinecolor: "rgb(255, 255, 255)"},
		yaxis:{title: 'sepal_width',
     backgroundcolor: "rgb(230, 200,230)",
     gridcolor: "rgb(255, 255, 255)",
     showbackground: true,
     zerolinecolor: "rgb(255, 255, 255)"},
		zaxis:{title: 'petal_length',
     backgroundcolor: "rgb(230, 230,200)",
     gridcolor: "rgb(255, 255, 255)",
     showbackground: true,
     zerolinecolor: "rgb(255, 255, 255)"},
		}        
  };
Plotly.newPlot('myDiv', data, layout);
});
